'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9564483d.js');

const GenericToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.handleDeleteToast = index.createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return index.h("custom-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
        }
        return index.h("simple-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
    }
};

exports.generic_toast = GenericToast;

//# sourceMappingURL=generic-toast.cjs.entry.js.map