import { r as registerInstance, h } from './index-fb899b9a.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-55de9911.js';
import { a as formatAddress } from './utils-ac6fcf29.js';
import { s as state } from './signTransactionsModalStore-e11c9674.js';

const signTransactionComponentCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: ;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: }/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.block{display:block}.flex{display:flex}.transform{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.border{border-width:1px}.underline{text-decoration-line:underline}*{box-sizing:border-box;margin:0;padding:0}.transaction-container{display:flex;flex-direction:column;gap:1rem;padding:0 1rem}.data-container,.receiver-container{align-items:flex-start;display:flex;flex-direction:column;gap:4px;line-height:1}.data-content-container{word-wrap:break-word;background-color:#f9f9f9;border:1px solid #ccc;border-radius:4px;color:#333;display:block;font-family:inherit;font-size:inherit;height:100px;min-height:100px;overflow-y:auto;padding:8px;white-space:pre-wrap;width:100%}.data-content{opacity:.6}.sign-button-container{display:flex;flex-direction:column}.sign-back-button{background-color:transparent;border:none;border-radius:4px;color:#1a56db;cursor:pointer;display:inline-block;font-size:16px;padding:8px 12px;text-decoration:none;&:hover{color:#0033a0;text-decoration:underline}&:active{color:#001f70}&:disabled{background-color:#a1a1a1;box-shadow:none;color:#a1a1a1;color:#e0e0e0;cursor:not-allowed;opacity:.6;text-decoration:none;transform:none}}.sign-button{background-color:#1a56db;border:none;border-radius:8px;color:#fff;cursor:pointer;display:block;margin:0 auto;padding:12px;width:200px}.highlight{opacity:1}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}";
const SignTransactionComponentStyle0 = signTransactionComponentCss;

var __rest = (undefined && undefined.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
const SignTransaction = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getSignButtonProps() {
        const { needsSigning } = state.commonData;
        if (needsSigning) {
            return {
                'signText': 'Sign',
                'disabled': state.isWaitingForSignature,
                'data-testid': DataTestIdsEnum.signTransactionBtn,
                'onClick': state.onConfirm,
            };
        }
        return {
            'signText': 'Next',
            'disabled': false,
            'data-testid': DataTestIdsEnum.signNextTransactionBtn,
            'onClick': state.onConfirm,
        };
    }
    getBackButtonProps() {
        const { transactionsCount, currentIndex } = state.commonData;
        const isMultipleTransactions = transactionsCount > 1;
        if (!isMultipleTransactions) {
            return {};
        }
        if (currentIndex === 0) {
            return {
                'data-testid': DataTestIdsEnum.signCancelBtn,
                'backButtonText': 'Cancel',
                'onClick': state.onCancel,
            };
        }
        return {
            'data-testid': DataTestIdsEnum.signBackBtn,
            'backButtonText': 'Back',
            'onClick': state.onBack,
            'disabled': state.isWaitingForSignature,
        };
    }
    getHighlightedData() {
        const { data, highlight } = state.commonData;
        if (!highlight || !data) {
            return data;
        }
        const parts = data.split(highlight);
        return (h("span", null, parts.map((part, index) => (h("span", null, h("span", { class: "data-content" }, part), index < parts.length - 1 && h("span", { class: "highlight" }, highlight))))));
    }
    render() {
        const { receiver, scCall } = state.commonData;
        const _a = this.getSignButtonProps(), { signText } = _a, signButtonProps = __rest(_a, ["signText"]);
        const _b = this.getBackButtonProps(), { backButtonText } = _b, backButtonProps = __rest(_b, ["backButtonText"]);
        const highlightedData = this.getHighlightedData();
        return (h("div", { key: '4299f63d21b53ecd6ab0cbf2d225cec0ab372a08', class: "transaction-container" }, this.header, h("div", { key: '7fb133ebcf1ba442ebcebdfa09db4d47525f0753', class: "receiver-container" }, h("p", { key: '22b547dfceb19903e479c49f0db9d10e911bdcc6' }, "To"), h("p", { key: 'a7c9b57f0df789cc0431a8ef7db09c8df2ea896b' }, formatAddress(receiver, 40))), h("transaction-fee-component", { key: '7656dcdb063228d4c17a1e9e98d6ff82ada3c861' }), scCall && (h("div", { key: '360415806871e66d6bc7d965af7d083b92921c31', class: "data-container" }, h("p", { key: 'e0a897fd0e7ee967ca9387482d5fc8419b8469f0' }, "Smart Contract Call"), h("div", { key: 'cf3f304cd92472fb9cecb7f889c1adb3579f959b', class: "data-content-container" }, scCall))), h("div", { key: 'd526601928e4a88fe3c4981259bf49cb869219bb', class: "data-container" }, h("p", { key: '0560ae21ee5851fbebc24c84f84fad38435ff0a4' }, "Data"), h("div", { key: 'fedd4240b26f67a61de26c9fd0a8e661bdca2a5d', class: "data-content-container" }, highlightedData)), h("div", { key: 'd7325ac6fdee62acb357a4ead26083dcf334cabf', class: "sign-button-container" }, h("button", Object.assign({ key: '82c28bd68037f4f41c5b35eeb6c25ccc876784c7', class: "sign-button" }, signButtonProps), signText), backButtonText && (h("button", Object.assign({ key: 'ad289a34730018882e36442de633bf2065c98327', class: "sign-back-button" }, backButtonProps), backButtonText)))));
    }
};
SignTransaction.style = SignTransactionComponentStyle0;

const transactionFeeComponentCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.absolute{position:absolute}.relative{position:relative}.flex{display:flex}.hidden{display:none}.border{border-width:1px}.transition{transition-duration:.15s;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}*{box-sizing:border-box;margin:0;padding:0}.transaction-fee-container{align-items:flex-start;background:var(--white);border-radius:8px;display:flex;flex-direction:column;gap:4px;line-height:1;padding:16px}.fee-header{align-items:center;display:flex;justify-content:space-between;margin-bottom:8px}.edit-button{background:none;border:none;color:var(--text-secondary);cursor:pointer;padding:4px}.edit-button:hover{color:var(--text-primary)}.gas-options{background:#f8f9fa;border-radius:8px;border-top:1px solid var(--border-color);margin-top:16px;padding:1rem;width:100%}.top-section{align-items:center;display:flex;justify-content:space-between;margin-bottom:1rem}.gas-limit-section .label,.gas-price-section .label{color:#6c757d;font-size:.875rem;margin-bottom:.25rem}.gas-limit-section .value,.gas-price-section .value{align-items:center;color:#212529;display:flex;font-size:1rem;font-weight:500;margin:0}.gas-limit-section{border-top:1px solid #dee2e6;padding-top:1rem}.radio-group{border:1px solid #dee2e6;border-radius:4px;display:inline-flex;margin-left:12px;overflow:hidden}.radio-option{position:relative}.radio-option input[type=radio]{height:0;opacity:0;position:absolute;width:0}.radio-option input[type=radio]:checked+label{background:#0d6efd;color:#fff}.radio-option label{border-right:1px solid #dee2e6;cursor:pointer;display:inline-block;font-size:12px;padding:4px 8px;transition:all .2s ease}.radio-option label:hover{background:#e9ecef}.radio-option:last-child label{border-right:none}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}";
const TransactionFeeComponentStyle0 = transactionFeeComponentCss;

const TransactionFeeComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = state.commonData;
        return (h("div", { key: '8d83ce2436c4ef49447c1950c3da9243a8e891d1', class: "transaction-fee-container" }, h("div", { key: '49a6bc238d752246dded39fe31c12fb8d589a474', class: "fee-header" }, h("p", { key: '1f2af7ab451da0a62e0124932edab00230988ceb' }, "Transaction fee"), isEditable && (h("button", { key: 'e9265e3ddebf20cd2dbc0682a6b30c51ca3b649d', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (h("p", { key: '75a7521dfbcf0df463df962742affc3f869616c9' }, h("span", { key: 'a9d032b31291d694bc1369463e23a880df6aac8b' }, feeLimit), "\u00A0", h("span", { key: '1e9bd5bf074ed6bffcf64da21f98e8f0785cabe7' }, egldLabel))), h("p", { key: 'd46f07b4dd03e85258bcfd6e03c3d0a37d2d74cd' }, "\u2248", feeInFiatLimit), this.showGasOptions && (h("div", { key: '48917d7609f0d070971e94be8ef22df1a89ebbac', class: "gas-options" }, h("div", { key: 'e85991dc7dbb9933bd0e83fc959f36de35dac6a3', class: "top-section" }, h("div", { key: '3bc3d7d04e0916411cbda27547741d01f5639b3d', class: "gas-price-section" }, h("div", { key: '9b7a0dc67b697aedc81ffc516cb15179272c5a67', class: "label" }, "Gas Price"), h("div", { key: 'f670e758f61c3309951d7ad4ccad7fb3d4f057b8', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (h("div", { key: 'b476b0154aa6f84a5a477d93d8063604721b4cdf', class: "radio-group" }, ppuOptions.map(option => (h("div", { class: "radio-option" }, h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), h("div", { key: 'b0d271a59179a8455d635ca6623347babc3486c8', class: "gas-limit-section" }, h("div", { key: 'ad8de70f44390a45973c8c5855ffbd46e58a9dbf', class: "label" }, "Gas Limit"), h("div", { key: '5efa7d7e8518817b5f8361082c04ae25ed6faf89', class: "value" }, gasLimit))))));
    }
};
TransactionFeeComponent.style = TransactionFeeComponentStyle0;

export { SignTransaction as sign_transaction_component, TransactionFeeComponent as transaction_fee_component };

//# sourceMappingURL=sign-transaction-component_2.entry.js.map