import { r as registerInstance, h } from './index-fb899b9a.js';
import { s as state } from './signTransactionsModalStore-e11c9674.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: '6c8e803c5645523096c7f18aac4df62c392de376', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as token_component };

//# sourceMappingURL=token-component.entry.js.map