import type { ISignTransactionsModalData } from "./sign-transactions-modal.types";
type ITransactionState = ISignTransactionsModalData & {
    isLoading: boolean;
    isWaitingForSignature: boolean;
    onCancel: () => void;
    onBack: () => void;
    onConfirm: () => void;
    onSetPpu: (ppu: number) => void;
};
declare const state: ITransactionState;
export declare const resetState: () => {
    shouldClose?: true;
    commonData: import("components/functional/sign-transactions-modal/sign-transactions-modal.types").ISignTransactionsModalCommonData;
    tokenTransaction: {
        identifier?: string;
        amount: string;
        usdValue: string;
    } | null;
    nftTransaction: import("components/functional/sign-transactions-modal/sign-transactions-modal.types").FungibleTransactionType | null;
    sftTransaction: import("components/functional/sign-transactions-modal/sign-transactions-modal.types").FungibleTransactionType | null;
    isLoading: boolean;
    isWaitingForSignature: boolean;
    onCancel: () => void;
    onBack: () => void;
    onConfirm: () => void;
    onSetPpu: (ppu: number) => void;
};
export default state;
