import { p as proxyCustomElement, H, h } from './p-3b962989.js';
import { s as state } from './p-854bbb44.js';

const transactionFeeComponentCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.absolute{position:absolute}.relative{position:relative}.flex{display:flex}.hidden{display:none}.border{border-width:1px}.transition{transition-duration:.15s;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}*{box-sizing:border-box;margin:0;padding:0}.transaction-fee-container{align-items:flex-start;background:var(--white);border-radius:8px;display:flex;flex-direction:column;gap:4px;line-height:1;padding:16px}.fee-header{align-items:center;display:flex;justify-content:space-between;margin-bottom:8px}.edit-button{background:none;border:none;color:var(--text-secondary);cursor:pointer;padding:4px}.edit-button:hover{color:var(--text-primary)}.gas-options{background:#f8f9fa;border-radius:8px;border-top:1px solid var(--border-color);margin-top:16px;padding:1rem;width:100%}.top-section{align-items:center;display:flex;justify-content:space-between;margin-bottom:1rem}.gas-limit-section .label,.gas-price-section .label{color:#6c757d;font-size:.875rem;margin-bottom:.25rem}.gas-limit-section .value,.gas-price-section .value{align-items:center;color:#212529;display:flex;font-size:1rem;font-weight:500;margin:0}.gas-limit-section{border-top:1px solid #dee2e6;padding-top:1rem}.radio-group{border:1px solid #dee2e6;border-radius:4px;display:inline-flex;margin-left:12px;overflow:hidden}.radio-option{position:relative}.radio-option input[type=radio]{height:0;opacity:0;position:absolute;width:0}.radio-option input[type=radio]:checked+label{background:#0d6efd;color:#fff}.radio-option label{border-right:1px solid #dee2e6;cursor:pointer;display:inline-block;font-size:12px;padding:4px 8px;transition:all .2s ease}.radio-option label:hover{background:#e9ecef}.radio-option:last-child label{border-right:none}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}";
const TransactionFeeComponentStyle0 = transactionFeeComponentCss;

const TransactionFeeComponent = /*@__PURE__*/ proxyCustomElement(class TransactionFeeComponent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = state.commonData;
        return (h("div", { key: '8d83ce2436c4ef49447c1950c3da9243a8e891d1', class: "transaction-fee-container" }, h("div", { key: '49a6bc238d752246dded39fe31c12fb8d589a474', class: "fee-header" }, h("p", { key: '1f2af7ab451da0a62e0124932edab00230988ceb' }, "Transaction fee"), isEditable && (h("button", { key: 'e9265e3ddebf20cd2dbc0682a6b30c51ca3b649d', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (h("p", { key: '75a7521dfbcf0df463df962742affc3f869616c9' }, h("span", { key: 'a9d032b31291d694bc1369463e23a880df6aac8b' }, feeLimit), "\u00A0", h("span", { key: '1e9bd5bf074ed6bffcf64da21f98e8f0785cabe7' }, egldLabel))), h("p", { key: 'd46f07b4dd03e85258bcfd6e03c3d0a37d2d74cd' }, "\u2248", feeInFiatLimit), this.showGasOptions && (h("div", { key: '48917d7609f0d070971e94be8ef22df1a89ebbac', class: "gas-options" }, h("div", { key: 'e85991dc7dbb9933bd0e83fc959f36de35dac6a3', class: "top-section" }, h("div", { key: '3bc3d7d04e0916411cbda27547741d01f5639b3d', class: "gas-price-section" }, h("div", { key: '9b7a0dc67b697aedc81ffc516cb15179272c5a67', class: "label" }, "Gas Price"), h("div", { key: 'f670e758f61c3309951d7ad4ccad7fb3d4f057b8', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (h("div", { key: 'b476b0154aa6f84a5a477d93d8063604721b4cdf', class: "radio-group" }, ppuOptions.map(option => (h("div", { class: "radio-option" }, h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), h("div", { key: 'b0d271a59179a8455d635ca6623347babc3486c8', class: "gas-limit-section" }, h("div", { key: 'ad8de70f44390a45973c8c5855ffbd46e58a9dbf', class: "label" }, "Gas Limit"), h("div", { key: '5efa7d7e8518817b5f8361082c04ae25ed6faf89', class: "value" }, gasLimit))))));
    }
    static get style() { return TransactionFeeComponentStyle0; }
}, [1, "transaction-fee-component", {
        "showGasOptions": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-fee-component"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-fee-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionFeeComponent);
            }
            break;
    } });
}

export { TransactionFeeComponent as T, defineCustomElement as d };

//# sourceMappingURL=p-3ad6e570.js.map