import { s as solidIcons, l as library$1, i as icon } from './p-5a6c2a4d.js';

function getIconHtmlFromIconName(iconName) {
    let faIcon;
    const dynamicIcon = solidIcons[`fa${capitalize(iconName)}`];
    if (!dynamicIcon) {
        console.error(`Icon "${iconName}" not found"`);
        return null;
    }
    library$1.add(dynamicIcon);
    faIcon = icon(dynamicIcon);
    return faIcon ? faIcon.html[0] : null;
}
function capitalize(iconName) {
    if (!iconName) {
        return iconName;
    }
    return iconName.charAt(0).toUpperCase() + iconName.slice(1);
}

export { getIconHtmlFromIconName as g };

//# sourceMappingURL=p-4b7a0589.js.map