import { p as proxyCustomElement, H, c as createEvent, h } from './p-3b962989.js';
import { g as getIconHtmlFromIconDefinition, b as faTimes } from './p-5a6c2a4d.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { g as getIconHtmlFromIconName } from './p-4b7a0589.js';
import { d as defineCustomElement$6 } from './p-a20326a7.js';
import { d as defineCustomElement$5 } from './p-7ac55d15.js';
import { d as defineCustomElement$4 } from './p-8fbd65cf.js';
import { d as defineCustomElement$3 } from './p-5fdacb00.js';
import { d as defineCustomElement$2 } from './p-99640e1f.js';
import { d as defineCustomElement$1 } from './p-031cfd96.js';

const transactionToastContentCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: ;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: }/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.block{display:block}.flex{display:flex}.hidden{display:none}.border{border-width:1px}.content,.content-left{align-items:center;display:flex}.content-left{flex-direction:column;justify-content:center;padding-left:.5rem;padding-right:.75rem}.success{background-color:#5cb85c}.warning{background-color:#ffc107}.danger{background-color:#d9534f}.content-icon{align-items:center;border-radius:50%;display:flex;height:3rem;justify-content:center;width:3rem;svg{height:auto;width:20px;path{fill:#fff}}}.icon-close{align-items:center;background-color:transparent;border:0;color:#000;cursor:pointer;display:flex;float:right;font-size:1.5rem;font-weight:700;line-height:1;margin:0 .5rem;opacity:.5;padding:0;text-shadow:0 1px 0 #fff;width:12px}.content-right{display:block;overflow:hidden;width:100%}.content-heading{display:flex;justify-content:space-between;margin-bottom:.25rem}.content-heading-title{font-size:1.25rem;font-weight:500;line-height:1.2;margin:0 0 .5rem}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}.fixed{position:fixed}.\\!container{width:100%!important}.container{width:100%}@media (min-width:640px){.\\!container{max-width:640px!important}.container{max-width:640px}}@media (min-width:768px){.\\!container{max-width:768px!important}.container{max-width:768px}}@media (min-width:1024px){.\\!container{max-width:1024px!important}.container{max-width:1024px}}@media (min-width:1280px){.\\!container{max-width:1280px!important}.container{max-width:1280px}}@media (min-width:1536px){.\\!container{max-width:1536px!important}.container{max-width:1536px}}";
const TransactionToastContentStyle0 = transactionToastContentCss;

const TransactionToastContent = /*@__PURE__*/ proxyCustomElement(class TransactionToastContent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.deleteToast = createEvent(this, "deleteToast", 7);
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: '272a0b2e0b12941a69c205e0de247f06a0b69497', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '3c88c7553415a66bb4de14e4ea54fd85722ab89b', class: "content-left" }, h("div", { key: '3bb28edcdd0a9caf307d4c05fef328b00ee3ec4d', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: 'b42bb2f2390d9eccac74854727f2010b958c5533', class: "content-right" }, h("div", { key: '3cca3eb7037588d171d4c8ecd720242b2278cadb', class: "content-heading" }, h("h5", { key: 'be550bbed4d3f1c7f752d8b762cfc2bd3b517ebe', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: '349c4c22ea092dc731bc92dd2b954af98f35475a', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: 'a89fad6b4f2da35b6d9a628446adfe70d235fbdb', class: "content-heading-title" }, h("transaction-toast-details", { key: '94a907f15061c053c1db9223153fb8885745b2f8', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get style() { return TransactionToastContentStyle0; }
}, [1, "transaction-toast-content", {
        "transactions": [16],
        "toastDataState": [16],
        "processedTransactionsStatus": [1, "processed-transactions-status"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-content", "copy-button", "explorer-link", "fa-icon", "transaction-toast-details", "transaction-toast-details-body", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastContent);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToastContent as T, defineCustomElement as d };

//# sourceMappingURL=p-c63db1ed.js.map