import { p as proxyCustomElement, H, h } from './p-3b962989.js';
import { s as state } from './p-854bbb44.js';
import { d as defineCustomElement$4 } from './p-40628d43.js';
import { d as defineCustomElement$3 } from './p-cd5879f8.js';
import { d as defineCustomElement$2 } from './p-3ad6e570.js';

const TokenComponent$1 = /*@__PURE__*/ proxyCustomElement(class TokenComponent extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: '6c8e803c5645523096c7f18aac4df62c392de376', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
}, [0, "token-component"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["token-component", "balance-component", "sign-transaction-component", "transaction-fee-component"];
    components.forEach(tagName => { switch (tagName) {
        case "token-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TokenComponent$1);
            }
            break;
        case "balance-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "sign-transaction-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-fee-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const TokenComponent = TokenComponent$1;
const defineCustomElement = defineCustomElement$1;

export { TokenComponent, defineCustomElement };

//# sourceMappingURL=token-component.js.map