'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9564483d.js');
const signTransactionsModalStore = require('./signTransactionsModalStore-81808972.js');

const TokenComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = signTransactionsModalStore.state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (index.h("sign-transaction-component", { key: '6c8e803c5645523096c7f18aac4df62c392de376', header: index.h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

exports.token_component = TokenComponent;

//# sourceMappingURL=token-component.cjs.entry.js.map