import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
export class UnlockHeader {
    constructor() {
        this.closeIcon = faTimes;
        this.handleBack = () => {
            this.back.emit();
        };
        this.handleClose = () => {
            this.close.emit();
        };
    }
    render() {
        return (h("div", { key: 'a714a0abe4bbe5440758427dabe0ba6628178e64', class: 'header' }, this.backIcon && (h("button", { key: 'afbaea71ec24d5d2e0f650817bec60d60817e75c', class: "icon-button", onClick: this.handleBack }, h("fa-icon", { key: '115d3e011e6c4853369a0ef1ebe4b5d18a18f5a4', icon: this.backIcon }))), h("span", { key: 'a9258156ec732773d53f5845df29ca079d3c197a', class: "title" }, this.text), h("button", { key: 'ab0c0da01857790b76fd44aa9cce00d0907426b2', class: "icon-button", onClick: this.handleClose }, h("fa-icon", { key: 'cd2db12772cd0b20d82b8c64e4d657ccf29c8b49', icon: this.closeIcon }))));
    }
    static get is() { return "unlock-header"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["unlock-header.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["unlock-header.css"]
        };
    }
    static get properties() {
        return {
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "text",
                "reflect": false
            },
            "backIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "closeIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "defaultValue": "faTimes"
            }
        };
    }
    static get events() {
        return [{
                "method": "back",
                "name": "back",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }, {
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=unlock-header.js.map
