import type { EventEmitter } from '../../stencil-public-runtime';
import { ProviderTypeEnum } from "../../types/provider.types";
export declare class UnlockPanel {
    isOpen: boolean;
    allowedProviders?: ProviderTypeEnum[];
    close: EventEmitter;
    login: EventEmitter<{
        provider: ProviderTypeEnum;
        anchor?: HTMLElement;
    }>;
    isLoggingIn: boolean;
    selectedMethod: ProviderTypeEnum | null;
    private anchor;
    private observer;
    disconnectedCallback(): void;
    private observeContainer;
    handleLogin: (provider: ProviderTypeEnum) => void;
    resetLoginState: () => void;
    handleClose: () => void;
    render(): any;
}
